WinShopAPI docs
ReferenceProduct

List a product's attachments

Returns the attachments of the product with their metadata, without the file contents. Requires `Permissions.Product.View`.

GET
/api/products/{productId}/attachment

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32
Default0

Response Body

application/json
  1. response
[index: integer]?

Metadata of a file attached to a product, without its contents.

curl -X GET 'https://<your-instance>/api/products/0/attachment' \  -H 'Authorization: Bearer <access-token>'
[  {    "fileName": "string",    "id": 0,    "level1Id": 0,    "level2Id": 0,    "level3Id": 0,    "pathToFile": "string",    "productId": 0  }]